FEIBM_ANS: ProblemParameters< dim > Class Template Reference

FEIBM_ANS

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions Variables Enumerations Enumerator Pages
Public Types | Public Member Functions | Public Attributes | List of all members
ProblemParameters< dim > Class Template Reference
Inheritance diagram for ProblemParameters< dim >:

## Public Types
enum | MaterialModel { INH_0, INH_1, CircumferentialFiberModel }

## Public Member Functions
| ProblemParameters (int argc, char **argv)

## Public Attributes
unsigned int | degree
double | rho
double | eta
double | mu
double | dt
double | T
double | Phi_B
ParsedFunction< dim > | W_0
ParsedFunction< dim > | u_0
ParsedFunction< dim > | u_g
ParsedFunction< dim > | force
unsigned int | ref_f
unsigned int | ref_s
map< unsigned char, const Function< dim > * > | boundary_map
map< unsigned char, const Function< dim > * > | zero_boundary_map
vector< bool > | component_mask
map< unsigned int, double > | boundary_values
bool | update_jacobian_continuously
bool | semi_implicit
bool | fix_pressure
bool | all_DBC
bool | update_jacobian_at_step_beginning
string | solid_mesh
string | fluid_mesh
string | output_name
int | output_interval
bool | use_spread
unsigned int | material_model
string | fe_p_name
Point< dim > | ring_center

## Detailed Description

### template<int dim>
class ProblemParameters< dim >

Definition at line 68 of file step-feibm.cc.

## Member Enumeration Documentation

template<int dim>

enum ProblemParameters::MaterialModel

Enumerator
INH_0 |
INH_1 |
CircumferentialFiberModel |

Definition at line 183 of file step-feibm.cc.

## Constructor & Destructor Documentation

template<int dim>

ProblemParameters< dim >::ProblemParameters | ( | int | argc,
|  | char ** | argv
| ) |  |

Definition at line 199 of file step-feibm.cc.

References ProblemParameters< dim >::all_DBC, ProblemParameters< dim >::boundary_map, ProblemParameters< dim >::CircumferentialFiberModel, ProblemParameters< dim >::component_mask, ProblemParameters< dim >::degree, ProblemParameters< dim >::dt, ProblemParameters< dim >::eta, ProblemParameters< dim >::fe_p_name, ProblemParameters< dim >::fix_pressure, ProblemParameters< dim >::fluid_mesh, ProblemParameters< dim >::force, ProblemParameters< dim >::INH_0, ProblemParameters< dim >::INH_1, ProblemParameters< dim >::material_model, ProblemParameters< dim >::mu, ProblemParameters< dim >::output_interval, ProblemParameters< dim >::output_name, ProblemParameters< dim >::Phi_B, ProblemParameters< dim >::ref_f, ProblemParameters< dim >::ref_s, ProblemParameters< dim >::rho, ProblemParameters< dim >::ring_center, ProblemParameters< dim >::semi_implicit, ProblemParameters< dim >::solid_mesh, ProblemParameters< dim >::T, ProblemParameters< dim >::u_0, ProblemParameters< dim >::u_g, ProblemParameters< dim >::update_jacobian_at_step_beginning, ProblemParameters< dim >::update_jacobian_continuously, ProblemParameters< dim >::use_spread, ProblemParameters< dim >::W_0, and ProblemParameters< dim >::zero_boundary_map.

## Member Data Documentation

template<int dim>

bool ProblemParameters< dim >::all_DBC

Definition at line 155 of file step-feibm.cc.

Referenced by ProblemParameters< dim >::ProblemParameters().

template<int dim>

map<unsigned char, const Function<dim> *> ProblemParameters< dim >::boundary_map

Definition at line 127 of file step-feibm.cc.

Referenced by ProblemParameters< dim >::ProblemParameters().

template<int dim>

map<unsigned int, double> ProblemParameters< dim >::boundary_values

Definition at line 139 of file step-feibm.cc.

template<int dim>

vector<bool> ProblemParameters< dim >::component_mask

Definition at line 135 of file step-feibm.cc.

Referenced by ProblemParameters< dim >::ProblemParameters().

template<int dim>

unsigned int ProblemParameters< dim >::degree

Definition at line 76 of file step-feibm.cc.

Referenced by ImmersedFEM< dim >::ImmersedFEM(), and ProblemParameters< dim >::ProblemParameters().

template<int dim>

double ProblemParameters< dim >::dt

Definition at line 91 of file step-feibm.cc.

Referenced by ProblemParameters< dim >::ProblemParameters().

template<int dim>

double ProblemParameters< dim >::eta

Definition at line 84 of file step-feibm.cc.

Referenced by ProblemParameters< dim >::ProblemParameters().

template<int dim>

string ProblemParameters< dim >::fe_p_name

Definition at line 191 of file step-feibm.cc.

Referenced by ImmersedFEM< dim >::ImmersedFEM(), and ProblemParameters< dim >::ProblemParameters().

template<int dim>

bool ProblemParameters< dim >::fix_pressure

Definition at line 151 of file step-feibm.cc.

Referenced by ProblemParameters< dim >::ProblemParameters().

template<int dim>

string ProblemParameters< dim >::fluid_mesh

Definition at line 167 of file step-feibm.cc.

Referenced by ProblemParameters< dim >::ProblemParameters().

template<int dim>

ParsedFunction<dim> ProblemParameters< dim >::force

Definition at line 115 of file step-feibm.cc.

Referenced by ProblemParameters< dim >::ProblemParameters().

template<int dim>

unsigned int ProblemParameters< dim >::material_model

Definition at line 187 of file step-feibm.cc.

Referenced by ProblemParameters< dim >::ProblemParameters().

template<int dim>

double ProblemParameters< dim >::mu

Definition at line 88 of file step-feibm.cc.

Referenced by ImmersedFEM< dim >::get_Pe_F_and_DPeFT_dxi_values(), and ProblemParameters< dim >::ProblemParameters().

template<int dim>

int ProblemParameters< dim >::output_interval

Definition at line 175 of file step-feibm.cc.

Referenced by ProblemParameters< dim >::ProblemParameters().

template<int dim>

string ProblemParameters< dim >::output_name

Definition at line 171 of file step-feibm.cc.

Referenced by ImmersedFEM< dim >::ImmersedFEM(), and ProblemParameters< dim >::ProblemParameters().

template<int dim>

double ProblemParameters< dim >::Phi_B

Definition at line 99 of file step-feibm.cc.

Referenced by ProblemParameters< dim >::ProblemParameters().

template<int dim>

unsigned int ProblemParameters< dim >::ref_f

Definition at line 119 of file step-feibm.cc.

Referenced by ProblemParameters< dim >::ProblemParameters().

template<int dim>

unsigned int ProblemParameters< dim >::ref_s

Definition at line 123 of file step-feibm.cc.

Referenced by ProblemParameters< dim >::ProblemParameters().

template<int dim>

double ProblemParameters< dim >::rho

Definition at line 80 of file step-feibm.cc.

Referenced by ProblemParameters< dim >::ProblemParameters().

template<int dim>

Point<dim> ProblemParameters< dim >::ring_center

Definition at line 194 of file step-feibm.cc.

Referenced by ImmersedFEM< dim >::get_Pe_F_and_DPeFT_dxi_values(), and ProblemParameters< dim >::ProblemParameters().

template<int dim>

bool ProblemParameters< dim >::semi_implicit

Definition at line 147 of file step-feibm.cc.

Referenced by ProblemParameters< dim >::ProblemParameters().

template<int dim>

string ProblemParameters< dim >::solid_mesh

Definition at line 163 of file step-feibm.cc.

Referenced by ProblemParameters< dim >::ProblemParameters().

template<int dim>

double ProblemParameters< dim >::T

Definition at line 95 of file step-feibm.cc.

Referenced by ProblemParameters< dim >::ProblemParameters().

template<int dim>

ParsedFunction<dim> ProblemParameters< dim >::u_0

Definition at line 107 of file step-feibm.cc.

Referenced by ProblemParameters< dim >::ProblemParameters().

template<int dim>

ParsedFunction<dim> ProblemParameters< dim >::u_g

Definition at line 111 of file step-feibm.cc.

Referenced by ProblemParameters< dim >::ProblemParameters().

template<int dim>

bool ProblemParameters< dim >::update_jacobian_at_step_beginning

Definition at line 159 of file step-feibm.cc.

Referenced by ProblemParameters< dim >::ProblemParameters().

template<int dim>

bool ProblemParameters< dim >::update_jacobian_continuously

Definition at line 143 of file step-feibm.cc.

Referenced by ProblemParameters< dim >::ProblemParameters().

template<int dim>

bool ProblemParameters< dim >::use_spread

Definition at line 179 of file step-feibm.cc.

Referenced by ProblemParameters< dim >::ProblemParameters().

template<int dim>

ParsedFunction<dim> ProblemParameters< dim >::W_0

Definition at line 103 of file step-feibm.cc.

Referenced by ProblemParameters< dim >::ProblemParameters().

template<int dim>

map<unsigned char, const Function<dim> *> ProblemParameters< dim >::zero_boundary_map

Definition at line 131 of file step-feibm.cc.

Referenced by ProblemParameters< dim >::ProblemParameters().

The documentation for this class was generated from the following file:

- tmp/step-feibm.cc